Loading...
Searching...
No Matches
BALL::NodeItem< Node, Edge > Class Template Reference
Molecular Modeling » Molecular Structure » Miscellaneous

`#include <BALL/STRUCTURE/simpleMolecularGraph.h>`

## Type definitions

typedef NodeItem< Node, Edge > | NodeItemType
typedef EdgeItem< Node, Edge > | EdgeItemType
typedef std::list< EdgeItem< Node, Edge > * >::iterator | Iterator
typedef std::list< EdgeItem< Node, Edge > * >::const_iterator | ConstIterator
class | TSimpleMolecularGraph< Node, Edge >
Node | data_
Atom * | atom_
std::list< EdgeItemType * > | adjacent_edges_
| NodeItem ()
| NodeItem (const Atom &atom)
Node & | getData ()
const Node & | getData () const
void | setData (const Node &data)
const Atom * | getAtom () const
Atom * | getAtom ()
Iterator | begin ()
ConstIterator | begin () const
Iterator | end ()
ConstIterator | end () const
Size | getDegree () const
bool | operator== (const NodeItem &item) const
bool | operator!= (const NodeItem &item) const
void | deleteEdge_ (EdgeItemType *item)

## Detailed Description

template<typename Node, typename Edge>
class BALL::NodeItem< Node, Edge >

The node type in a molecular graph

Definition at line 41 of file simpleMolecularGraph.h.

## Member Typedef Documentation

## ConstIterator

template<typename Node, typename Edge>

typedef std::list<EdgeItem<Node,Edge>*>::const_iterator BALL::NodeItem< Node, Edge >::ConstIterator

Definition at line 56 of file simpleMolecularGraph.h.

## EdgeItemType

template<typename Node, typename Edge>

typedef EdgeItem<Node, Edge> BALL::NodeItem< Node, Edge >::EdgeItemType

Definition at line 51 of file simpleMolecularGraph.h.

## Iterator

template<typename Node, typename Edge>

typedef std::list<EdgeItem<Node,Edge>*>::iterator BALL::NodeItem< Node, Edge >::Iterator

Definition at line 54 of file simpleMolecularGraph.h.

## NodeItemType

template<typename Node, typename Edge>

typedef NodeItem<Node, Edge> BALL::NodeItem< Node, Edge >::NodeItemType

Definition at line 48 of file simpleMolecularGraph.h.

## Constructor & Destructor Documentation

## NodeItem() [1/2]

template<typename Node, typename Edge>

BALL::NodeItem< Node, Edge >::NodeItem | ( |  | ) |

Definition at line 380 of file simpleMolecularGraph.h.

## NodeItem() [2/2]

template<typename Node, typename Edge>

BALL::NodeItem< Node, Edge >::NodeItem | ( | const Atom & | atom | ) |

Definition at line 387 of file simpleMolecularGraph.h.

## Member Function Documentation

## begin() [1/2]

template<typename Node, typename Edge>

NodeItem< Node, Edge >::Iterator BALL::NodeItem< Node, Edge >::begin | ( |  | ) |

Definition at line 431 of file simpleMolecularGraph.h.

## begin() [2/2]

template<typename Node, typename Edge>

NodeItem< Node, Edge >::ConstIterator BALL::NodeItem< Node, Edge >::begin | ( |  | ) | const

Definition at line 438 of file simpleMolecularGraph.h.

## deleteEdge_()

template<typename Node, typename Edge>

void BALL::NodeItem< Node, Edge >::deleteEdge_ | ( | EdgeItemType * | item | ) |

protected

Definition at line 480 of file simpleMolecularGraph.h.

## end() [1/2]

template<typename Node, typename Edge>

NodeItem< Node, Edge >::Iterator BALL::NodeItem< Node, Edge >::end | ( |  | ) |

Definition at line 445 of file simpleMolecularGraph.h.

## end() [2/2]

template<typename Node, typename Edge>

NodeItem< Node, Edge >::ConstIterator BALL::NodeItem< Node, Edge >::end | ( |  | ) | const

Definition at line 452 of file simpleMolecularGraph.h.

## getAtom() [1/2]

template<typename Node, typename Edge>

Atom * BALL::NodeItem< Node, Edge >::getAtom | ( |  | ) |

Definition at line 424 of file simpleMolecularGraph.h.

## getAtom() [2/2]

template<typename Node, typename Edge>

const Atom * BALL::NodeItem< Node, Edge >::getAtom | ( |  | ) | const

Definition at line 417 of file simpleMolecularGraph.h.

## getData() [1/2]

template<typename Node, typename Edge>

Node & BALL::NodeItem< Node, Edge >::getData | ( |  | ) |

Definition at line 394 of file simpleMolecularGraph.h.

## getData() [2/2]

template<typename Node, typename Edge>

const Node & BALL::NodeItem< Node, Edge >::getData | ( |  | ) | const

Definition at line 401 of file simpleMolecularGraph.h.

## getDegree()

template<typename Node, typename Edge>

Size BALL::NodeItem< Node, Edge >::getDegree | ( |  | ) | const

Definition at line 459 of file simpleMolecularGraph.h.

## operator!=()

template<typename Node, typename Edge>

bool BALL::NodeItem< Node, Edge >::operator!= | ( | const NodeItem< Node, Edge > & | item | ) | const

Definition at line 473 of file simpleMolecularGraph.h.

## operator==()

template<typename Node, typename Edge>

bool BALL::NodeItem< Node, Edge >::operator== | ( | const NodeItem< Node, Edge > & | item | ) | const

Definition at line 466 of file simpleMolecularGraph.h.

## setData()

template<typename Node, typename Edge>

void BALL::NodeItem< Node, Edge >::setData | ( | const Node & | data | ) |

Definition at line 409 of file simpleMolecularGraph.h.

## Friends And Related Symbol Documentation

## TSimpleMolecularGraph< Node, Edge >

template<typename Node, typename Edge>

friend class TSimpleMolecularGraph< Node, Edge >

friend

Definition at line 56 of file simpleMolecularGraph.h.

## Member Data Documentation

## adjacent_edges_

template<typename Node, typename Edge>

std::list<EdgeItemType*> BALL::NodeItem< Node, Edge >::adjacent_edges_

protected

Definition at line 88 of file simpleMolecularGraph.h.

## atom_

template<typename Node, typename Edge>

Atom* BALL::NodeItem< Node, Edge >::atom_

protected

Definition at line 87 of file simpleMolecularGraph.h.

## data_

template<typename Node, typename Edge>

Node BALL::NodeItem< Node, Edge >::data_

protected

Definition at line 86 of file simpleMolecularGraph.h.